> For the complete documentation index, see [llms.txt](https://dadocs.rickyjs.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://dadocs.rickyjs.xyz/endpoints/client/emojis.md).

# /emojis

{% hint style="info" %}
This endpoint supports the [Exclude](/exclude-header.md) and [Paginate](/paginate-header.md) headers.
{% endhint %}

{% hint style="danger" %}
This endpoint is only on the **BETA Version** of the API and may be unstable.

> Please report any & all bugs to the [Support Server](https://discord.com/invite/9s65BZDrbV)
> {% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)
* app-id - ID of the Application <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* emoji - name, id, identifier or position *(integer)* of the emoji to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;

### Endpoint URL Parameters

* simple - Retrieves a simpler set of data <mark style="color:orange;">**\[Boolean]**</mark> (<mark style="color:green;">**Optional**</mark>)

{% hint style="warning" %}
If no `emoji` was specified, it will grab all data and retrieve an **Array**, otherwise it will grab the one specified and retrieve an **Object**.&#x20;

<mark style="color:red;background-color:yellow;">**This will affect how to grab your data!**</mark>
{% endhint %}

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/client/emojis` endpoint using BDFD

```bash
  $httpAddHeader[apikey;<YOUR-API-KEY>]
  $httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
  $httpAddHeader[app-id;1064100501764968488] 
  $httpAddHeader[emoji;coolemoji1] $c[Optional header]
 
 $httpGet[https://bdfddata.rickyjs.xyz/<version>/client/emojis]
 
 $httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/client/emojis` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
    return await axios.get('https://bdfddata.rickyjs.xyz/<version>/client/emojis', {
        headers: {
            "apikey": "<YOUR-API-KEY>",
            "bot-token": "<YOUR-BOT-TOKEN>",
            "app-id": "1064100501764968488",
            "emoji": "1064859897956663336" // Optional header
        }
    }).then(res => res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200 (Simple Not Used)</summary>

API succeeded and details were fetched.

```json
{
  "status": 200,
  "details": {
    "items": [
      {
        "animated": true,
        "available": true,
        "id": "123456789",
        "managed": false,
        "name": "coolemoji1",
        "require_colons": true,
        "roles": []
      },
      {
        "animated": false,
        "available": true,
        "id": "987654321",
        "managed": false,
        "name": "eoolemoji2",
        "require_colons": true,
        "roles": []
      }
    ]
  }
}
```

</details>

<details>

<summary>Code 200 (Simple Used)</summary>

API succeeded and details were fetched.

```json
[
  {
    "status": 200,
    "details": {
      "animated": true,
      "id": "123456789",
      "identifier": "<:coolemoji1:123456789>",
      "name": "coolemoji1"
    }
  },
  {
    "animated": false,
    "id": "987654321",
    "identifier": "<:coolemoji2:987654321>",
    "name": "coolemoji2"
  }
]
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```json
{
  status: 400
  error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```json
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>

<details>

<summary>Code 404</summary>

An emoji header was provided, but did not match any records.

```json
{
  status: 404,
  error: "Emoji not found"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/client/emojis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
